%define	module	grequests
Name:           python-%{module}
Version:        0.7.0
Release:        %mkrel 2
Summary:        Requests + Gevent
License:        BSD
Group:          Development/Python
Url:            https://github.com/kennethreitz/grequests
Source:         https://files.pythonhosted.org/packages/source/g/grequests/grequests-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch

%description
GRequests allows you to use Requests with Gevent to make asynchronous HTTP
Requests easily.

%package -n python3-%{module}
Summary:        Requests + Gevent
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
Requires:       python3dist(gevent)
Requires:       python3dist(requests)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
GRequests allows you to use Requests with Gevent to make asynchronous HTTP
Requests easily.

%prep
%setup -q -n %{module}-%{version}
cp %{SOURCE1} .

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grequests

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.7.0-2.mga10
+ Revision: 2035836
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1823753
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.6.0-1.mga9
+ Revision: 1784413
- version 0.6.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.0-7.mga9
+ Revision: 1733048
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-6.mga8
+ Revision: 1533075
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.3.0-5.mga8
+ Revision: 1443315
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.3.0-4.mga7
+ Revision: 1353237
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1288929
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Tue Mar 20 2018 kekepower <kekepower> 0.3.0-2.mga7
+ Revision: 1210817
- Use new python[2,3]dist
- Fixed a typo in BR for Py3
+ joequant <joequant>
- upgrade to 0.3.0

* Sat Aug 05 2017 pterjan <pterjan> 0.2.0-5.mga7
+ Revision: 1135442
- Rebuild for python 3.6

* Sat May 27 2017 joequant <joequant> 0.2.0-4.mga6
+ Revision: 1105112
- add python3

* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-3.mga6
+ Revision: 941945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 742528
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 juancho <juancho> 0.2.0-1.mga5
+ Revision: 737253
- Added missing Requires on python-requests
- Updated to 0.2.0

* Tue Oct 07 2014 juancho <juancho> 0.1.0-1.mga5
+ Revision: 737246
- imported package python-grequests

